

pipeline {
    agent any
    parameters {
        choice (name: 'SERVER', choices: ["qa", "stg"], description:"Chose your environment to execute")
    }
    // triggers{
    //     cron('H/15 11-21 * * 1-5')
    // }


    tools {nodejs "Node12"}

    options{
        ansiColor('xterm')
    }

    stages {
        stage('Install') {
            steps {
                bat "npm i"
            }
        }
        stage('Tests') {
            steps {
                catchError(buildResult: 'SUCCESS', stageResult: 'FAILURE') {
                bat "npm run test --browser chrome --env server=${SERVER} --record --key 88f20765-694e-45ff-ac48-4a0befa8b700"
                }
    
            }
        }
    }

     post {
                always {
                    cucumber    buildStatus: 'null',
                                customCssFiles: '',
                                customJsFiles: '',
                                failedFeaturesNumber: -1,
                                failedScenariosNumber: -1,
                                failedStepsNumber: -1,
                                fileIncludePattern: 'cypress/cucumber-report/cucumber.json',
                                pendingStepsNumber: -1,
                                reportTitle: 'Aicep Report',
                                skippedStepsNumber: -1,
                                sortingMethod: 'ALPHABETICAL',
                                undefinedStepsNumber: -1
                }
            }

}